subroutine trgraf_wname_set(str)

  !  set (ElVis) window name; prevent imbedded blanks, left-justify

  use trgraf_wname_save
  implicit NONE

  character*(*), intent(in) :: str

  integer :: jlen

  !------------------
  wname_str = str
  call namerefs_cln(wname_str,jlen)
  !------------------

end subroutine trgraf_wname_set




subroutine trgraf_wname_get(str)

  !  get (ElVis) window name

  use trgraf_wname_save
  implicit NONE

  character*(*), intent(out) :: str

  integer :: iref
  !------------------
  call get_namerefs_str(wname_str,iref,str)
  !------------------

end subroutine trgraf_wname_get
